# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Dancer2.pm) perl(Dancer2/Plugin.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Spec/Functions.pm) perl(HTML/TreeBuilder.pm) perl(HTTP/Request/Common.pm) perl(Plack/Test.pm) perl(Storable.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Test/NoWarnings.pm) perl(Test/Output.pm) perl(Text/Markdown/Hoedown.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Dancer2-Plugin-MarkdownFilesToHTML
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.017
Release: alt1
Summary: Easy conversion of markdown documents to HTML for display in your Dancer2 website
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STEVIED/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module converts markdown files to an HTML string for output to the Dancer2
web app framework. Using the Dancer2 config file, multiple routes can be
established in the web app, with each route converting a single markdown
document or markdown documents in a directory to HTML. Optionally, it a second
HTML string containing a hierarchical table of contents based on the contents of
the markdown can also be returned. The `md2html' keyword is provided if you
wish to perform conversions from within an app's module.

This module relies on the the Text::Markdown::Hoedown manpage module to execute the
markdown conversions which using a fast C module. To further enhance
performance, a basic caching mechanism using the Storable manpage is employed for each
converted markdown file so markdown to HTML conversions are avoided except for
new and updated markdown files. See the the MARKDOWN CONVERSION NOTES entry elsewhere in this document for more
details on the conversion process.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/D*

%changelog
* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.017-alt1
- initial import by package builder

